﻿.results-container {
    width: calc(100vw - 450px);
    position: absolute;
    right: 0;
    bottom: 0;
    height: calc(100vh - 50% - 72px);
    overflow: auto;
    border: 5px solid #67c0b7;
    border-radius: 10px;
    margin: 20px;
    background: #fffc;
    box-shadow: #0000002e 0px 6px 9px 2px;
}

.results {
    padding-top: 50px;
    width: 100%;
    height: 100%0;
    overflow: auto;
}

.results-header {
    width: 100%;
    overflow: auto;
}

.summary {
    margin: 0px;
    padding: 10px;
    position: fixed;
    background: #67c0b7;
    color: white;
    height: 50px;
    width: calc(100% - 475px);
    z-index: 1;
}

.filters {
    width: 100%;
    max-width: 400px;
    padding: 10px;
    background: white;
    position: absolute;
    top: 80px;
    left: 10px;
    border-radius: 10px;
    border: 5px solid #67c0b7;
    z-index: 2;
    height: calc(100vh - 100px);
    box-shadow: #0000002e 0px 6px 9px 2px;
    overflow: auto;
}

.mobile-filters {
    position: absolute;
    z-index: 2;
    top: 80px;
    width: 400px;
    background: #67c0b7;
    left: 10px;
    padding: 10px;
    color: white;
    border-radius: 5px;
    display: none;
}

#map {
    height: calc(100vh - 50% - 50px);
    width: calc(100vw - 450px);
    position: absolute;
    top: 80px;
    right: 20px;
    z-index: 0;
    border: 5px solid #67c0b7;
    border-radius: 10px;
    box-shadow: #0000002e 0px 6px 9px 2px;
}

.exactMatch {
    position: absolute;
    background: #67c0b7;
    top: -20px;
    padding: 3px 10px;
    font-size: 12px;
    border-radius: 15px;
    color: white;
    border: 1px solid white;
}

#distRange {
    appearance: none;
    width: calc(100% - (73px));
    height: 10px;
    border-radius: 5px;
    background: #d7dcdf;
    outline: none;
    padding: 0;
    margin: 0;
}

    #distRange::-webkit-slider-thumb {
        appearance: none;
        width: 20px;
        height: 20px;
        border-radius: 100%;
        background: #2c3e50;
        cursor: pointer;
        transition: background 0.15s ease-in-out;
    }

        #distRange::-webkit-slider-thumb:hover {
            transform: scale(1.1);
            background: #1abc9c;
        }

    #distRange:active::-webkit-slider-thumb {
        transform: scale(1.1);
        background: #1abc9c;
    }

#distValue {
    display: inline-block;
    position: relative;
    width: 60px;
    color: #fff;
    line-height: 20px;
    text-align: center;
    border-radius: 3px;
    background: #67c0b7;
    padding: 5px 10px;
    margin-left: 8px;
}

    #distValue:after {
        position: absolute;
        top: 8px;
        left: -7px;
        width: 0;
        height: 0;
        border-top: 7px solid transparent;
        border-right: 7px solid #67c0b7;
        border-bottom: 7px solid transparent;
        content: "";
    }

.container-main {
    padding: 0;
}

main {
    height: 100vh;
}

body {
    margin-bottom: 0px;
}

.criteria-row {
    margin-bottom: 1rem;
}

.delete-row {
    margin-top: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.delete-criteria {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    margin: 0;
    text-align: center;
}

button {
    margin-right: 10px;
}


.profile-image {
    width: 80px;
    height: 80px;
    border-radius: 12px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #467dac70;
    background-color: #f0f0f0;
    float: left;
    margin-right: 15px;
}

    .profile-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.profile-lg {
    width: 250px;
    height: 250px;
    float: none;
    margin: 0 auto 20px auto;
}

.cv-holder {
    margin: 10px;
    border: 3px solid #00b0b9;
    transition: border 0.3s ease-in-out;
    padding: 5px;
    border-radius: 5px;
    max-width: 500px;
    color: black;
    position: relative;
    background: #fff;
    float: left;
    width: 90%;
    height: 140px;
    box-shadow: #0000002e 0px 6px 9px 2px;
}

@media (min-width: 1100px) {
    .cv-holder {
        width: 47%;
    }
}

@media (min-width: 1500px) {
    .cv-holder {
        width: 31%;
    }
}

@media (min-width: 2000px) {
    .cv-holder {
        width: 500px;
    }
}

#sidePanel {
    position: absolute;
    top: 72px;  
    left: 0px;
    height: calc(100vh - 72px);
    z-index: 1;
    background: #00000099;
    border-right: 1px solid #ccc;
    transition: transform 0.3s ease-in-out;
    width: 500px;
    color: white;
    overflow: auto;
    max-width: 100vw;
}

    #sidePanel.hidden {
        transform: translateX(-100%);
    }

#togglePanel {
    position: absolute;
    top: 200px;
    left: 500px;
    z-index: 2;
    writing-mode: vertical-lr;
    padding: 20px 0px;
    border-radius: 0 10px 10px 0;
    transition: left 0.3s ease-in-out;
    font-size: 30px;
    line-height: 1;
}

    #togglePanel.hidden {
        left: 0px;
    }

.w-33 {
    width: 33%;
}

.text-sm {
    font-size: 0.7em;
}

.cv-name {
    font-size: 1.2em;
    color: #3d378d;
    font-weight: bold;
}

.cv-detail {
    font-size: 0.8em;
}

clearfix {
    clear: both;
}

#sidePanel::-webkit-scrollbar {
    width: 10px;
}

#sidePanel::-webkit-scrollbar-track {
    border: 1px solid #00b0b9;
    padding-left: 5px;
}

#sidePanel::-webkit-scrollbar-thumb {
    background: #00b0b9;
}

.age-container {
    display: flex;
    gap: 10px;
}

.age-item {
    flex: 1;
    background-color: #ffffff;
    border-radius: 6px;
}

#selection-criteria {
    padding: 20px;
    border: 1px solid;
    background: #1ce8ff2e;
    margin-top: 70px;
}

.chevron-icon {
    transition: transform 0.3s ease;
    font-size: 1em;
}

.rotate-180 {
    transform: rotate(180deg);
}

.cv-miles {
    width: 50px;
    height: 50px;
    position: absolute;
    background: white;
    left: 5px;
    color: #00b0b9;
    text-align: center;
    font-size: 17px;
    border-radius: 50%;
    padding: 7px 0;
    bottom: 4px;
    border: 1px solid;
    cursor: pointer;
    transition: transform var(--transition-duration) var(--transition-timing-function);
}

    .cv-miles div {
        font-size: 10px;
        margin: -7px;
    }

    .cv-miles:hover {
        transform: scale(1.2);
    }

.cv-minutes {
    width: 50px;
    height: 50px;
    position: absolute;
    background: #ffffff;
    left: 61px;
    color: #ffa300;
    text-align: center;
    font-size: 17px;
    border-radius: 50%;
    padding: 7px 0;
    bottom: 4px;
    border: 1px solid;
    cursor: pointer;
    transition: transform var(--transition-duration) var(--transition-timing-function);
}

    .cv-minutes div {
        font-size: 10px;
        margin: -7px;
    }

    .cv-minutes:hover {
        transform: scale(1.2);
    }

.drive-time {
    font-size: 15px !important;
    line-height: 15px;
    padding-top: 7px;
}

.cv-related {
    border: 3px solid orange;
}

.available-cv {
    color: #000000;
    display: inline-block;
    font-size: 14px;
    line-height: 25px;
}

.client-inline {
    width: 20px;
    float: left;
}

.speciality-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0px;
    width: 100%;
    max-width: 100%;
    max-height: 200px;
    overflow: auto;
    border: 0;
    padding: 0 10px 0 0;
}

.speciality {
    padding: 5px 18px;
    border: 1px solid #00b0b9;
    text-align: center;
    font-size: 13px;
    line-height: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 3px;
    border-radius: 10px;
    height: 35px;
    background: #f8fcfc;
    box-shadow: #00000029 1px 2px 5px 0px;
}




.cv-selected {
    border: 3px solid #3fb618;
    box-shadow: #67c0b775 0px 0px 5px 4px;
}

    .cv-selected .selected-tick {
        display: inherit;
    }


.selected-tick {
    position: absolute;
    top: 1px;
    left: 70px;
    display: none;
}

.large-check {
    font-size: 30px;
    color: #3fb618;
}

.selected-details {
    display: none;
    padding: 5px 10px;
    margin-top: -10px;
}

#selection-criteria-head {
    margin: -15px -15px;
    padding: 20px 20px 10px 20px;
    position: fixed;
    width: 488px;
    z-index: 10;
    background: #068187e0;
    max-width: 100vw;
}

#div-advanced {
    margin-top: 50px;
}

.numCV {
    display: inline-block;
    position: relative;
}

.maxInd {
    position: absolute;
    bottom: -14px;
    font-size: 10px;
    color: white;
    background: red;
    border-radius: 10px;
    padding: 0 5px;
}

.cv-more {
    padding: 20px 15px 15px 15px;
}

.cv-spec {
    margin-top: 10px;
    color: #00b0b9;
    font-weight: bold;
}

#expandDetail {
    background: #1e676d;
}

.mapKey {
    position: absolute;
    right: 10px;
    background: #ffffffde;
    padding: 10px;
    top: 90px;
    border-radius: 20px;
    box-shadow: #00000070 3px 4px 7px 0px;
    border: 5px solid #00b0b9;
}

.keyImg {
    width: 25px;
    margin: 0 5px 0 10px;
}

.tick-white {
    background: white;
    border-radius: 50%;
}

@media (max-width: 540px) {
    #togglePanel {
        right: -10px !important;
        left: inherit !important;
        border-radius: 50% 0 0 50%;
        height: 30px;
        top: 190px;
        padding: 0;
        opacity: 0.8;
    }
}

.alert-small {
    padding: 3px 11px;
    font-size: 10px;
    position: absolute;
    right: 9px;
    top: 9px;
    display: none;
}


.text-bg-purple {
    color: white !important;
    background-color: purple;
}

.detailsSlide {
    position: absolute;
    bottom: 4px;
    right: 4px;
}

.selectCV {
    position: absolute;
    bottom: 4px;
    right: 64px;
}

.results::-webkit-scrollbar {
    width: 15px;
}

.results::-webkit-scrollbar-track {
    border: 1px solid #00b0b9;
    padding-left: 5px;
}

.results::-webkit-scrollbar-thumb {
    background: #3d378da6;
}

.bg-secondary-outline {
    --bs-bg-opacity: 1;
    background-color: white;
    color: rgb(103 192 183) !important;
    border: 2px solid rgb(103 192 183) !important;
}

.customerLogo img {
    max-width: 150px;
}


table.table-details tr:nth-child(even) td {
    background-color: #f8fcfc;
    color: #429e93;
}

.ok-btn {
    position: sticky;
    bottom: 0;
    left: 0;
}

.head-advanced {
    padding: 10px;
    background: #67c0b7;
    color: white;
    display: inline-block;
    margin: 5px;
    font-size: 1.2em;
    border-radius: 15px;
    box-shadow: #0000002e 0px 6px 9px 2px;
}

.head-related {
    padding: 10px;
    background: orange;
    color: black;
    display: inline-block;
    margin: 5px;
    font-size: 1.2em;
    border-radius: 15px;
    box-shadow: #0000002e 0px 6px 9px 2px;
}

.btn-help {
    position: absolute;
    left: 10px;
    z-index: 15;
    width: 40px;
    height: 40px;
    top: 10px;
    padding-top: 1px;
}

.help-icon {
    font-size: 36px;
}

.logo-tour {
    width: 250px;
    display: flex;
    margin: auto;
}
.testRoute {
    position: absolute;
    top: 250px;
}

.startTour {
    max-width: 500px !important;
}

/*Responsive*/
@media (max-width: 640px) {
    .mobile-filters {
        display: inherit;
        width: calc(100% - 20px);
        z-index: 3;
    }

    #map {
        height: 100vh;
        width: 100vw;
        position: absolute;
        border: 0;
        border-radius: 0;
        box-shadow: inherit;
        top: 0;
        left: 0;
    }

    .filters {
        max-width: 640px;
        width: calc(100% - 20px);
        padding-top: 50px;
        padding-bottom: 50px;
        height: calc(100vh - 90px);
    }

    .results-container {
        width: calc(100vw - 20px);
        position: absolute;
        left: 0;
        height: calc(100vh - 40% - 100px);
        overflow: auto;
        border: 5px solid #67c0b7;
        border-radius: 10px;
        margin: 10px;
        background: #fffc;
        box-shadow: #0000002e 0px 6px 9px 2px;
    }

    .summary {
        width: calc(100% - 20px);
    }

    .profile-lg {
        width: calc(100vw - 50px);
        height: calc(100vw - 50px);
        margin: auto;
        width: 100%;
    }

    .mapKey {
        position: absolute;
        right: -50px;
        top: 120px;
        transform: scale(0.6);
    }

    .searchContainer {
        position: fixed;
        bottom: 10px;
        background: #67c0b72b;
        padding: 10px;
        margin: 38px 0px 0px 0px;
        left: 14px;
        width: calc(100% - 20px);
    }

    .speciality-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .speciality {
        height: 50px;
    }
}
/* End Responsive */

